<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFrameworks>net7.0;net8.0;net9.0</TargetFrameworks>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
	<!-- NuGet Package Metadata -->
	<PackageId>DigitalData.Core.Exceptions</PackageId>
	<Authors>Digital Data GmbH</Authors>
	<Company>Digital Data GmbH</Company>
	<Product>DigitalData.Core.Exceptions</Product>
	<Description>This package contains exceptions for the DigitalData.Core library</Description>
	<PackageTags>digital data core exceptions</PackageTags>
	<GeneratePackageOnBuild>True</GeneratePackageOnBuild>
	<Copyright>Copyright 2025</Copyright>
	<PackageProjectUrl></PackageProjectUrl>
	<RepositoryUrl>http://git.dd:3000/AppStd/WebCoreModules.git</RepositoryUrl>
	<PackAsTool>False</PackAsTool>
	<PackageIcon>core_icon.png</PackageIcon>
	<Version>1.1.0</Version>
	<AssemblyVersion>1.1.0</AssemblyVersion>
	<FileVersion>1.1.0</FileVersion>
  </PropertyGroup>

  <ItemGroup>
    <None Include="..\Assets\core_icon.png">
      <Pack>True</Pack>
      <PackagePath>\</PackagePath>
    </None>
  </ItemGroup>

</Project>
